%define xsessiondir %{_datadir}/xsessions

Summary: Utilities for the Xfce Desktop Environment
Name: xfce-utils
Version: 4.2.4
Release: 1%{?dist}
License: GPL
URL: http://www.xfce.org/
Source0: http://www.us.xfce.org/archive/xfce-4.2.4/src/xfce-utils-4.2.4.tar.gz
Source1: xfce4.desktop
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: xfce-mcs-manager >= %{version}
Requires: xfwm4 >= %{version}
Requires: xfdesktop >= %{version}
Requires: /usr/bin/id
BuildRequires: libxfcegui4-devel >= %{version}
BuildRequires: libxfce4mcs-devel >= %{version}
BuildRequires: xfce-mcs-manager-devel >= %{version}
BuildRequires: imake
BuildRequires: libXt-devel
BuildRequires: gettext

%description
This package includes utilities for the Xfce Desktop Environment

%prep
%setup -q

%build
%configure --enable-gdm --disable-static

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{xsessiondir}

make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{xsessiondir}/xfce.desktop

install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{xsessiondir}/

rm -f $RPM_BUILD_ROOT/%{_libdir}/xfce4/mcs-plugins/*.la
# there alreday is a Xclients.xfce included in the switchdesk package, 
# so we don't need this one
rm -f $RPM_BUILD_ROOT/%{_datadir}/apps/switchdesk/Xclients.xfce4

%find_lang %{name}

rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/X11

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO ChangeLog NEWS COPYING AUTHORS
%attr(0755,root,root) %{_sysconfdir}/xdg/xfce4/xinitrc
%{_bindir}/*
%{_libdir}/xfce4/mcs-plugins/*.so
%{_datadir}/xfce4/*
%{_datadir}/icons/hicolor/*/*
%{_datadir}/applications/*
%attr(0644,root,root) %{xsessiondir}/xfce4.desktop

%changelog
* Wed Jun 20 2007 Christoph Wickert <fedora@christoph-wickert.de> - 4.2.4-1
- Update to 4.2.4
- disable-static instead of removing .a files
- Require xfce-mcs-manager
- Run gtk-update-icon-cache in %%post and %%postun

* Mon Jun  5 2006 Kevin Fenzi <kevin@tummy.com> - 4.2.3-4
- Add gettext BuildRequires (fixes #194140)

* Thu Feb 16 2006 Kevin Fenzi <kevin@tummy.com> - 4.2.3-3.fc5
- Rebuild for fc5

* Tue Jan 31 2006 Kevin Fenzi <kevin@tummy.com> - 4.2.3-2.fc5
- Added imake and libXt-devel BuildRequires for modular xorg

* Mon Nov  7 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.3-1.fc5
- Update to 4.2.3
- Added dist tag

* Tue May 17 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.2-1.fc4
- Update to 4.2.2

* Fri Mar 25 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-3.fc4
- lowercase Release

* Wed Mar 23 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-2.FC4
- Removed unneeded la/a files

* Tue Mar 15 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-1
- Updated to 4.2.1 version

* Tue Mar  8 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.0-3
- Fixed case on Xfce

* Sun Mar  6 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.0-2
- Removed old misc patch 

* Thu Jan 27 2005 Than Ngo <than@redhat.com> 4.2.0-1
- 4.2.0

* Thu Dec 02 2004 Than Ngo <than@redhat.com> 4.0.6-3
- permission fix #141597

* Mon Nov 22 2004 Than Ngo <than@redhat.com> 4.0.6-2
- add session desktop file from KDE, better translations
- improve xfterm4 #139183

* Mon Jul 19 2004 Than Ngo <than@redhat.com> 4.0.6-1
- update to 4.0.6
- use %%find_lang macros, bug #124950
- fix component deps, bug #125744
- don't run xmodmap twice, bug #115500

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Apr 15 2004 Than Ngo <than@redhat.com> 4.0.5-1
- update to 4.0.5

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Than Ngo <than@redhat.com> 4.0.3-2
- fixed dependant libraries check on x86_64

* Tue Jan 13 2004 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3 release

* Thu Dec 25 2003 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2 release

* Tue Dec 16 2003 Than Ngo <than@redhat.com> 4.0.1-1
- initial build

